> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhikoo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Competitor

> Update a competitor's name, URL, or aliases.



## OpenAPI

````yaml /api-reference/openapi.json put /api/v1/public/competitors/{competitor_id}
openapi: 3.1.0
info:
  title: Hikoo REST API
  description: >-
    Programmatic access to your Hikoo data: citations, prompts, competitors,
    audits, health and more. Authenticate with a personal API key
    (`Authorization: Bearer <key>`) created from the dashboard settings.
  version: 1.0.0
servers:
  - url: https://api.tryhikoo.com
security:
  - apiKey: []
paths:
  /api/v1/public/competitors/{competitor_id}:
    put:
      tags:
        - Competitors
      summary: Update Competitor
      description: Update a competitor's name, URL, or aliases.
      operationId: update_competitor_api_v1_public_competitors__competitor_id__put
      parameters:
        - name: competitor_id
          in: path
          required: true
          schema:
            type: integer
            title: Competitor Id
        - name: website_id
          in: query
          required: true
          schema:
            type: integer
            description: Target website id
            title: Website Id
          description: Target website id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Bearer <api_key>
            title: Authorization
          description: Bearer <api_key>
        - name: X-MCP-Secret
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Mcp-Secret
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CompetitorUpdateSchema'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompetitorWithoutLogo'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CompetitorUpdateSchema:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        aliases:
          anyOf:
            - items:
                type: string
                maxLength: 100
                minLength: 1
              type: array
              maxItems: 50
            - type: 'null'
          title: Aliases
      type: object
      title: CompetitorUpdateSchema
      description: Schema for updating a competitor
    CompetitorWithoutLogo:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        url:
          type: string
          title: Url
        aliases:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Aliases
      type: object
      required:
        - id
        - name
        - url
      title: CompetitorWithoutLogo
      description: Competitor schema without logo
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: Personal API key created in the dashboard (Settings > API keys).

````